Запись #31 / Работа со свойствами чертежа

(defun c:dProps (/ dProps dProp)
(vl-load-com)
(setq acadObject (vlax-get-acad-object))
(setq acadDocument (vla-get-ActiveDocument acadObject))
 
   ;;Get the SummaryInfo
   (setq dProps (vlax-get-Property acadDocument 'SummaryInfo))
 
   ;;Edit the SummaryInfo properties
   (vlax-put-Property dProps 'Title "Test Title")
   (vlax-put-Property dProps 'Subject "Test Subject")
   (vlax-put-Property dProps 'Author "Test Author")
   (vlax-put-Property dProps 'Keywords "One Two Three")
   (vlax-put-Property dProps 'Comments "This is a comment")

Запись #29 / Изменение параметра в динамическом блоке AutoCAD программно

(defun SetDynamicBlockPropertyNameValue ( block prop value )

;;  Modifies the value of a Dynamic Block Property            ;;
;;------------------------------------------------------------;;
;;  Author: Lee Mac, Copyright © 2010 - www.lee-mac.com       ;;
;;------------------------------------------------------------;;
;;  Arguments:                                                ;;
;;  block - VLA Dynamic Block Reference Object                ;;
;;  prop  - Dynamic Block Property Name                       ;;
;;  value - New value for Property                            ;;

Запись #27 / Свойства для элементов в AutoLISP

(entmake
 (list '(0 . "TEXT")
       '(8 . "f") // Layer
       '(40 . 250) // Height
       '(41 . 0.8) // Width factor
       '(50 . 1.5708) // Rotation
       '(51 . 0.261799) // Obliquing
       '(7 . "elementum") // Style
       '(100 . "AcDbText")
       (cons 1 sval8)
       (cons 10 e)
       (cons 11 e)
       '(72 . 1)
       '(73 . 2)
 )
 )

Углы указываются в радианах

Pages